'use strict'

const fs = require('fs')

const csEncoding = 'utf8'

exports.encoding = csEncoding
exports.readJSONFile = function (filename) {
  let loData

  try {
    loData = JSON.parse(fs.readFileSync(filename, csEncoding))
  } catch (error) {
    throw new Error('Could not parse JSON file "' + filename + '": ' + error)
  }

  return loData
}
